changeset 749:66ce10869c57

<fizzie> run cat bin/delquote | sed -e 's/echo "\*poof\*/printf "*poof*%s" "/' | paste
author HackBot
date Thu, 04 Oct 2012 21:25:53 +0000
parents ac59fa54605e
children 083fd7234a26
files paste/paste.25431
diffstat 1 files changed, 9 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/paste/paste.25431	Thu Oct 04 21:25:53 2012 +0000
@@ -0,0 +1,9 @@
+#!/bin/sh
+id=$1
+expr "$1" + 0 >/dev/null 2>&1 || exit 1
+head -n $((id-1)) quotes >quotes.new
+tail -n +$((id+1)) quotes >>quotes.new
+diff quotes quotes.new >/dev/null && exit 1
+printf "*poof*%s" "$(quote $id | cut -d')' -f2-)"
+mv quotes.new quotes
+